//
//  ASCISDKManager.h
//  ProDSDK-App
//
//  Created by Pascal Duff on 2017-07-11.
//  Copyright © 2017 AssetScience. All rights reserved.
//

#import <Foundation/Foundation.h>

@protocol ASCISDKManagerDelegate <NSObject>
@required
- (void)diagnosticSessionCanceled;
- (void)diagnosticSessionCompleted:(NSString *)sessionID;
@end

@interface ASCISDKManager : NSObject

@property(nonatomic, weak)id<ASCISDKManagerDelegate> delegate;

+ (void)startDiagnosticSession:(NSString *)customSettingsPath delegate:(id<ASCISDKManagerDelegate>)delegate;
+ (instancetype)sharedInstance;

- (void)cancelDiagnostic;
- (void)returnFromTestViewControllers;

@end
